### A free/open-source library for quantitative finance

ZeroYieldStructure Class Reference
Term structures

Zero-yield term structure. More...

`#include <ql/termstructures/yield/zeroyieldstructure.hpp>`

Inheritance diagram for ZeroYieldStructure:
[legend]

List of all members.

## Public Member Functions

Constructors
See the TermStructure documentation for issues regarding constructors.
| ZeroYieldStructure (const DayCounter &dc=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
| ZeroYieldStructure (const Date &referenceDate, const Calendar &calendar=Calendar(), const DayCounter &dc=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
| ZeroYieldStructure (Natural settlementDays, const Calendar &calendar, const DayCounter &dc=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())

## Protected Member Functions

Calculations
This method must be implemented in derived classes to perform the actual calculations. When it is called, range check has already been performed; therefore, it must assume that extrapolation is required.
virtual Rate | zeroYieldImpl (Time) const =0
| zero-yield calculation
YieldTermStructure implementation
DiscountFactor | discountImpl (Time) const

## Detailed Description

Zero-yield term structure.

This abstract class acts as an adapter to YieldTermStructure allowing the programmer to implement only the `zeroYieldImpl(Time)` method in derived classes.

Discount and forward are calculated from zero yields.

Zero rates are assumed to be annual continuous compounding.

## Member Function Documentation

DiscountFactor discountImpl | ( | Time | t | ) | const`[protected, virtual]`

Returns the discount factor for the given date calculating it from the zero yield.

Implements YieldTermStructure.